## responder 3.1.7.0

=== requirements.txt ===
aioquic
netifaces>=0.10.4

## responder 3.1.3.0

=== debian/changelog ===
responder (3.1.3.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:59:19 +0200

responder (3.1.3.0-0kali3) kali-dev; urgency=medium

  * Add missing binaries (Runas.exe and Syssvc.exe)
  * Patch Multirelay to use pycryptodome, not obsolte crypto

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Feb 2023 17:36:36 +0100

responder (3.1.3.0-0kali2) kali-dev; urgency=medium

  * Fix autopkgtest (add aloow-stderr)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 31 Jan 2023 15:52:43 +0100

responder (3.1.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Jul 2022 15:00:50 +0200

responder (3.1.2.0-0kali2) kali-dev; urgency=medium

  * Add a patch to fix Import in Python 3.10

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Apr 2022 10:58:24 +0200

responder (3.1.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.2.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Feb 2022 12:30:37 +0100

responder (3.1.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.1.0
  * Refresh patches
  * Add missing dependency python3-netifaces

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Dec 2021 15:39:58 +0100

responder (3.0.9.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.9.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 Dec 2021 09:02:31 +0100

responder (3.0.8.0-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add executable to helper-script
  * New helper-script format
  * Fix email address

  [ Sophie Brun ]
  * New upstream version 3.0.8.0
  * Refresh patches
  * Add missing depends
  * Adapt debian/* for new usptream release
  * Add autopkgtest
  * Wrap-and-sort

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Dec 2021 09:38:02 +0100

responder (3.0.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.7.0
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no change)
  * Remove useless debian/source/lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Oct 2021 16:21:47 +0200

responder (3.0.6.0-0kali2) kali-dev; urgency=medium

  * Remove responder-FindSMB2UPTime (Dropped in 3.0.4.0)

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 25 Aug 2021 12:16:30 +0100

responder (3.0.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Apr 2021 09:14:58 +0200

responder (3.0.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Apr 2021 12:07:15 +0200

responder (3.0.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.4.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Apr 2021 11:44:23 +0200

responder (3.0.3.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update watch file format version to 4.

  [ Sophie Brun ]
  * New upstream version 3.0.3.0
  * Refresh patches
  * Bump Standards-Version to 4.5.1 (no changes)
  * tools/MultiRelay/creddump has been removed
  * Fix permissions
  * Add a patch to fix shebangs

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Feb 2021 08:32:08 +0100

responder (3.0.2.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 3.0.1.0-0kali1.

  [ Sophie Brun ]
  * New upstream version 3.0.2.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Oct 2020 15:19:12 +0200

responder (3.0.1.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 3.0.1.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Aug 2020 11:19:00 +0200

responder (3.0.0.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 3.0.0.0
  * Switch to Python 3
  * Refresh patches
  * Add patches to fix syntax issues in Python3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Feb 2020 09:20:52 +0100

responder (2.3.4.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2.3.4.0
  * Refresh patches
  * Bump Standards-Version to 4.4.0
  * Add debian/source/lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2019 17:10:02 +0200

responder (2.3.3.9-0kali3) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Drop mention of python in debian/script

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * Fix autopkgtest
  * Use debhelper-compat 12
  * Add myself as uploaders
  * Bump Standards-Version to 4.3.0
  * Add debian/gbp.conf

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Jun 2019 17:03:45 +0200

responder (2.3.3.9-0kali2) kali-dev; urgency=medium

  * Add tools/* into $PATH under the name responder-* (closes 4437)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Jan 2018 09:46:36 +0100

responder (2.3.3.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh patch fix-version
  * Bump to Standards Version 4.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Nov 2017 10:49:16 +0100

responder (2.3.3.8-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Improve debian/control and debian/rules (build with python2)
  * Add a patch to fix the version

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Sep 2017 13:48:08 +0200

responder (2.3.3.6-0kali2) kali-dev; urgency=medium



=== debian/control ===
Source: responder
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, gcc-mingw-w64-x86-64
Standards-Version: 4.6.0
Homepage: https://github.com/lgandx/Responder

Package: responder
Architecture: all
Depends: net-tools,
         python3-netifaces,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: LLMNR/NBT-NS/mDNS Poisoner
 This package contains Responder/MultiRelay,  an LLMNR, NBT-NS and MDNS
 poisoner. It will answer to specific NBT-NS (NetBIOS Name Service) queries
 based on their name suffix (see: http://support.microsoft.com/kb/163409). By
 default, the tool will only answer to File Server Service request, which is for
 SMB.
 .
 The concept behind this is to target your answers, and be stealthier on the
 network. This also helps to ensure that you don't break legitimate NBT-NS
 behavior. You can set the -r option via command line if you want to answer
 to the Workstation Service request name suffix.

## responder 3.1.7.0

=== debian/changelog ===
responder (3.1.7.0-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 3.1.7.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 25 Aug 2025 12:02:02 +0200

responder (3.1.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.6.0
  * Add new dep python3-aioquic

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 May 2025 11:33:15 +0200

responder (3.1.5.0-0kali2) kali-dev; urgency=medium

  * Add a patch for Python 3.13

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Feb 2025 17:00:20 +0100

responder (3.1.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.5.0
  * Refresh patches
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Sep 2024 14:48:30 +0200

responder (3.1.4.0-0kali2) kali-dev; urgency=medium

  * Fix various Python 3.12 SyntaxWarning

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 11 Sep 2024 10:35:05 +0700

responder (3.1.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.4.0
  * Refresh patches
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Jan 2024 13:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: responder
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, gcc-mingw-w64-x86-64
-Standards-Version: 4.6.0
+Maintainer: Kali Developers <devel@kali.org>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, gcc-mingw-w64-x86-64
+Uploaders: Sophie Brun <sophie@kali.org>
+Standards-Version: 4.7.0
 Homepage: https://github.com/lgandx/Responder
+Vcs-Git: https://gitlab.com/kalilinux/packages/responder.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/responder
 
 Package: responder
 Architecture: all
 Depends: net-tools,
+         python3-aioquic,
          python3-netifaces,
          python3-pkg-resources,
          python3-pycryptodome,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/responder/usr/share/responder/certs/gen-self-signed-cert.sh
	chmod 644 debian/responder/usr/share/responder/tools/MultiRelay/impacket-dev/impacket/dcerpc/v5/dhcpm.py

override_dh_install:
	cd tools && x86_64-w64-mingw32-gcc ./MultiRelay/bin/Runas.c -o ./MultiRelay/bin/Runas.exe -municode -lwtsapi32 -luserenv
	cd tools && x86_64-w64-mingw32-gcc ./MultiRelay/bin/Syssvc.c -o ./MultiRelay/bin/Syssvc.exe -municode
	dh_install -XCOPYING -XCHANGELOG -XREADME -X.gitignore

override_dh_python3:
	dh_python3 --shebang="/usr/bin/env python3"

=== debian/tests/control ===
Test-Command: responder -h
Restrictions: superficial, needs-root, allow-stderr

Test-Command: responder-Icmp-Redirect -h && responder-MultiRelay -h && responder-RunFinger -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
https://github.com/lgandx/Responder/tags .*/v?(\d\S*)\.tar\.gz

## responder 3.2.0.0

=== debian/changelog ===
responder (3.2.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.0.0
  * Refresh patches
  * Update debian/watch to version 5
  * Update uploaders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 07 Jan 2026 12:46:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, gcc-mingw-w64-x86-64
-Uploaders: Sophie Brun <sophie@kali.org>
+Uploaders:
+ Sophie Brun <sophie@kali.org>,
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/lgandx/Responder
 Vcs-Git: https://gitlab.com/kalilinux/packages/responder.git

## responder 3.2.1.0

=== debian/changelog ===
responder (3.2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.1.0
  * Refresh patches
  * Bump Standards-Version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 26 Jan 2026 12:23:29 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: lgandx
Project: Responder

## responder 3.2.2.0

=== debian/changelog ===
responder (3.2.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.2.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Tue, 27 Jan 2026 16:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Sophie Brun <sophie@kali.org>,
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/lgandx/Responder
 Vcs-Git: https://gitlab.com/kalilinux/packages/responder.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/responder
